Name:           libsynaptics
Version:        0.14.6c
Release:        6%{?dist}
Summary:        Synaptics touchpad driver library

Group:          Development/Libraries
License:        GPLv2
URL:            http://qsynaptics.sourceforge.net/
Source0:        http://qsynaptics.sourceforge.net/libsynaptics-%{version}.tar.bz2
Source1:        Shm_0_15_1
Patch0:         libsynaptics-0.14.6c-gcc43.patch
Patch1:         libsynaptics-0.14.6c-driverver.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  xorg-x11-proto-devel


%description
A small C++ library usable by the synaptics driver.
The version numbering will follow any driver releases, the appended letter
marks releases due to bug fixing.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
cp %SOURCE1 .
%patch0 -p1 -b .gcc43
%patch1 -p1 -b .driverver


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Sat Dec 6 2008 Orion Poplawski <orion@cora.nwra.com> - 0.14.6c-6
- Support synaptics version 0.15.1

* Tue Aug 5 2008 Orion Poplawski <orion@cora.nwra.com> - 0.14.6c-5
- Change patch to patch0

* Tue Aug  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.14.6c-4
- fix license tag

* Thu Feb 14 2008 Orion Poplawski <orion@cora.nwra.com> - 0.14.6c-3
- Add patch to compile with gcc 4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.14.6c-2
- Rebuild for selinux ppc32 issue.

* Fri Jul 27 2007 Orion Poplawski <orion@cora.nwra.com> - 0.14.6c-1
- Update to 0.14.6c

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.14.6b-4
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Aug 29 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.14.6b-3
- Rebuild for FC6

* Mon Jul 31 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.14.6b-2
- Add BR xorg-x11-proto-devel

* Fri Jul 28 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.14.6b-1
- Initial Fedora Extras version
